summaryrefslogtreecommitdiffstats
path: root/graphics/azpainter
diff options
context:
space:
mode:
author Charles Daniels <charles@cdaniels.net>2019-12-29 14:23:23 -0600
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-12-31 18:06:22 +0700
commit04c0aef7b5f3b601175951e4b1470e9439c9e87a (patch)
tree53e4d0e18062d2fb93d449621f5990e417c89435 /graphics/azpainter
parentf0aa0fda70e100f48a143a5fcaed2158bd190c04 (diff)
downloadslackbuilds-04c0aef7b5f3b601175951e4b1470e9439c9e87a.tar.gz
slackbuilds-04c0aef7b5f3b601175951e4b1470e9439c9e87a.tar.xz
graphics/azpainter: Added (full color painting software)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics/azpainter')
-rw-r--r--graphics/azpainter/README2
-rw-r--r--graphics/azpainter/azpainter.SlackBuild101
-rw-r--r--graphics/azpainter/azpainter.info10
-rw-r--r--graphics/azpainter/doinst.sh14
-rw-r--r--graphics/azpainter/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/graphics/azpainter/README b/graphics/azpainter/README
new file mode 100644
index 0000000000..13714e253e
--- /dev/null
+++ b/graphics/azpainter/README
@@ -0,0 +1,2 @@
+AzPainter is mainly a full color painting software for illustration
+drawing.
diff --git a/graphics/azpainter/azpainter.SlackBuild b/graphics/azpainter/azpainter.SlackBuild
new file mode 100644
index 0000000000..61ace1eb80
--- /dev/null
+++ b/graphics/azpainter/azpainter.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for azpainter
+
+# Copyright 2019 Charles Daniels, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=azpainter
+VERSION=${VERSION:-2.1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# azpainter does not have manual/info pages
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog GPL3 INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/azpainter/azpainter.info b/graphics/azpainter/azpainter.info
new file mode 100644
index 0000000000..efcebfa912
--- /dev/null
+++ b/graphics/azpainter/azpainter.info
@@ -0,0 +1,10 @@
+PRGNAM="azpainter"
+VERSION="2.1.5"
+HOMEPAGE="https://github.com/Symbian9/azpainter/"
+DOWNLOAD="https://github.com/Symbian9/azpainter/archive/v2.1.5/azpainter-2.1.5.tar.gz"
+MD5SUM="3de1b1eadbd37ea029320ee8c59c5064"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Charles Daniels"
+EMAIL="charles@cdaniels.net"
diff --git a/graphics/azpainter/doinst.sh b/graphics/azpainter/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/graphics/azpainter/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/azpainter/slack-desc b/graphics/azpainter/slack-desc
new file mode 100644
index 0000000000..579e447887
--- /dev/null
+++ b/graphics/azpainter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+azpainter: azpainter (a full color painting software for illustration drawing)
+azpainter:
+azpainter: AzPainter is mainly a full color painting software for illustration
+azpainter: drawing.
+azpainter:
+azpainter: Homepage: https://github.com/Symbian9/azpainter
+azpainter:
+azpainter:
+azpainter:
+azpainter:
+azpainter: